Subject: Re: [PATCH] rev-parse: include HEAD in --all output

From: Jeff King <[email-masked]>
Date: Sun, 31 Aug 2014 11:30:54 -0400

On Sun, Aug 31, 2014 at 01:24:48AM +0300, Max Kirillov wrote:

> for_each_ref() does not include it itself, and without the hash
> the detached HEAD may be missed by some frontends (like gitk).
> 
> Add test which verifies the head is returned
> 
> Update test t6018-rev-list-glob.sh which relied on exact list of
> returned hashes.

I think the missing bit of the justification here is that "--all" _does_
include HEAD in other contexts (like in git-log), and rev-parse should
probably match it.

This is probably the right thing to do. It's possible that some caller
of rev-parse really depends on "--all" meaning "just the refs", but I
kind of doubt it. Being in sync with the revision.c parser seems saner.

-Peff